petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSTrajectoryCreate

This function creates an empty trajectory object used to store the time dependent solution of an ODE/DAE

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectoryCreate(MPI_Comm comm,TSTrajectory *tj)

Collective on MPI_Comm

### Input Parameter

comm -the communicator

### Output Parameter

tj -the trajectory object

Notes: Usually one does not call this routine, it is called automatically when one calls TSSetSaveTrajectory().

### Keywords

TS, trajectory, create

### See Also

TSTrajectorySetUp(), TSTrajectoryDestroy(), TSTrajectorySetType()

Level:advanced
Location:src/ts/interfacetraj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages